
Smart Proxy - Bug #15025

Warning on startup: Couldn't find settings file config/settings.d/foreman_proxy.yml

05/12/2016 11:14 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/420

  

Description

A warning has appeared since the merge of #14618 that was previously squashed in #9974.

Prior to #14618, develop logged this on startup:

W, [2016-05-12T16:12:13.965224 #12407]  WARN -- : Couldn't find settings file /home/dcleal/code/fo

reman/smart-proxy/config/settings.d/realm.yml. Using default settings.

I, [2016-05-12T16:12:13.965552 #12407]  INFO -- : 'foreman_proxy' settings were initialized with d

efault values: :enabled: true

I, [2016-05-12T16:12:13.965766 #12407]  INFO -- : Finished initialization of module 'foreman_proxy

'

 Now it logs the extra nonsense warning:

W, [2016-05-12T16:13:19.900129 #12615]  WARN -- : Couldn't find settings file /home/dcleal/code/fo

reman/smart-proxy/config/settings.d/realm.yml. Using default settings.

W, [2016-05-12T16:13:19.900527 #12615]  WARN -- : Couldn't find settings file /home/dcleal/code/fo

reman/smart-proxy/config/settings.d/foreman_proxy.yml. Using default settings.

D, [2016-05-12T16:13:19.900722 #12615] DEBUG -- : 'foreman_proxy' settings: 'enabled': true

Related issues:

Related to Smart Proxy - Refactor #14618: Refactor plugin initialization and ... Closed 04/13/2016

Related to Smart Proxy - Bug #9974: Attempts to open settings.d/foreman_proxy... Closed 03/31/2015

Related to Foreman Remote Execution - Bug #15606: smart_proxy_dynflow  doesn'... Closed 07/07/2016

Associated revisions

Revision 18a62b71 - 06/06/2016 03:55 AM - Dmitri Dolguikh 

Fixes #15025 - do not show foreman_proxy startup messages.

History

#1 - 05/12/2016 11:15 AM - Dominic Cleal

- Related to Refactor #14618: Refactor plugin initialization and loading added

#2 - 05/12/2016 11:15 AM - Dominic Cleal

- Related to Bug #9974: Attempts to open settings.d/foreman_proxy.yml added

#3 - 05/20/2016 06:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/420 added
#4 - 06/06/2016 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 18a62b71641bfc5498429a55e1ac85bd0b67fd72.

#5 - 07/08/2016 09:39 AM - Ivan Necas

- Related to Bug #15606: smart_proxy_dynflow  doesn't work with smart-proxy 1.12+ added
